Jump to content
funtoo forums
  • 0
Sign in to follow this  
x11tete11x

No UPnP in Gnome Shell 3.14

Question

Hi guys, i do a fresh install of Funtoo, i set on my make.conf:

 

USE="upnp-av upnp dlna"

and rebuild with "--newuse" to get UPnP support in Rhythmbox and Totem, i also installed "convergence" "grilo" and "grilo-plugins" , and activated grilo plugin in Rhythmbox, but i get nothing (with Totem is the same, get nothing), if i do a:

x11tete11x@Jarvis ~ $ upnpscan -m <serverUPNP-IP>
UPnP Discovery Tool v0.4 by patrik@cqure.net
--------------------------------------------

[<serverUPNP-IP>]

HTTP/1.1 200 OK
CACHE-CONTROL: max-age=1800
DATE: Tue, 09 Dec 2014 23:04:24 GMT
EXT:
LOCATION: http://<serverUPNP-IP>:<port>/description.xml
SERVER: Linux/3.2.0-4-686-pae, UPnP/1.0, MediaTomb/0.12.1
ST: upnp:rootdevice
USN: uuid:UUIDOFMYSERVER::upnp:rootdevice

as you see it's there (i already tested with my android phone and previous distro), so it's some config, any ideas? :D

Share this post


Link to post
Share on other sites

3 answers to this question

Recommended Posts

  • 0

more info... :S i don't understand much, but looks bad :S, it's cause i havent systemd? :SSSS

 

x11tete11x@Jarvis ~ $ rhythmbox

(rhythmbox:26630): GLib-GObject-WARNING **: The property GtkWidget:margin-left is deprecated and shouldn't be used anymore. It will be removed in a future version.

(rhythmbox:26630): GLib-GObject-WARNING **: The property GtkWidget:margin-right is deprecated and shouldn't be used anymore. It will be removed in a future version.
/usr/lib64/python3.3/site-packages/gi/overrides/__init__.py:175: Warning: The property GSettings:schema is deprecated and shouldn't be used anymore. It will be removed in a future version.
  return super_init_func(self, **new_kwargs)

(rhythmbox:26630): Gtk-WARNING **: Duplicate child name in GtkStack: A?adir a la lista de reproducci?n


(rhythmbox:26630): Gtk-WARNING **: Duplicate child name in GtkStack: A?adir a la lista de reproducci?n


(rhythmbox:26630): Gtk-WARNING **: Duplicate child name in GtkStack: A?adir a la lista de reproducci?n


(rhythmbox:26630): Gtk-WARNING **: Duplicate child name in GtkStack: A?adir a la lista de reproducci?n


(rhythmbox:26630): Gtk-WARNING **: Duplicate child name in GtkStack: A?adir a la lista de reproducci?n


(rhythmbox:26630): Gtk-WARNING **: Duplicate child name in GtkStack: A?adir a la lista de reproducci?n


(rhythmbox:26630): Grilo-WARNING **: [dleyna] grl-dleyna-servers-manager.c:138: Unable to fetch the list of available servers: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name com.intel.dleyna-server was not provided by any .service files

Share this post


Link to post
Share on other sites
  • 0

Hi,

 

I had the same problem on Fedora 21. It seems that you need to install the dLeyna server. I solved it by installing it with the package manager, and then my UPNP devices where there.

 

Here is the official website: https://01.org/dleyna/documentation/dleyna-server

 

Thx!, well i do my first ebuild of a "meta package" of that (dleyna-linux) https://github.com/01org/dleyna-linux

 

https://github.com/x11tete11x/x11tete11x/tree/master/net-misc/dleyna-linux

 

now that error is gone but still can't see nothing, any idea? :D

 

x11tete11x@Jarvis ~ $ sudo emerge -s dleyna-linux
Contrase?a: 
Searching...    
[ Results for search key : dleyna-linux ]
[ Applications found : 1 ]

*  net-misc/dleyna-linux
      Latest version available: 0.5.0
      Latest version installed: 0.5.0
      Size of files: 0 kB
      Homepage:      http://01.org/dleyna
      Description:   Dleyna-linux is an umbrella project, hosting a number of DLNA middleware components as git submodules
      License:       GPL-2

x11tete11x@Jarvis ~ $ rhythmbox

(rhythmbox:17321): GLib-GObject-WARNING **: The property GtkWidget:margin-left is deprecated and shouldn't be used anymore. It will be removed in a future version.

(rhythmbox:17321): GLib-GObject-WARNING **: The property GtkWidget:margin-right is deprecated and shouldn't be used anymore. It will be removed in a future version.
/usr/lib64/python3.3/site-packages/gi/overrides/__init__.py:175: Warning: The property GSettings:schema is deprecated and shouldn't be used anymore. It will be removed in a future version.
  return super_init_func(self, **new_kwargs)

(rhythmbox:17321): Gtk-WARNING **: Duplicate child name in GtkStack: A?adir a la lista de reproducci?n


(rhythmbox:17321): Gtk-WARNING **: Duplicate child name in GtkStack: A?adir a la lista de reproducci?n


(rhythmbox:17321): Gtk-WARNING **: Duplicate child name in GtkStack: A?adir a la lista de reproducci?n


(rhythmbox:17321): Gtk-WARNING **: Duplicate child name in GtkStack: A?adir a la lista de reproducci?n


(rhythmbox:17321): Gtk-WARNING **: Duplicate child name in GtkStack: A?adir a la lista de reproducci?n


(rhythmbox:17321): Gtk-WARNING **: Duplicate child name in GtkStack: A?adir a la lista de reproducci?n

Share this post


Link to post
Share on other sites
Guest
You are commenting as a guest. If you have an account, please sign in.
Answer this question...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoticons maximum are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Sign in to follow this  

×